# Class default

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:84

#####
Index

### Constructors

constructor

### Properties

channel
defferedDbSaver?
executing
lastNodeCallTime
node
queue$
queueDebounceMs
strategy

### Methods

cancel
cancelByParent
cancelDeprioritizedItems
clear
enqueue
enqueueAndWait
fetchData$
getItemBySourceAndPriority
getQueueList
getQueueMap
getStats
mutateQueueItem
postSummary
releaseExecution
removeAndNext
setNode
switchSourceAndNext
switchStrategy
updateViewPortPriority

## Constructors

### constructor

- new default(ipfsInstance$, __namedParameters): default

- #### Parameters

  - ipfsInstance$: Observable<CybIpfsNode>
  - __namedParameters: {
    defferedDbSaver?: IDeferredDbSaver;
    queueDebounceMs?: number;
    strategy?: QueueStrategy;
    }

    - ##### `Optional` defferedDbSaver?: IDeferredDbSaver

    - ##### `Optional` queueDebounceMs?: number

    - ##### `Optional` strategy?: QueueStrategy

  #### Returns default

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:274

## Properties

### `Private` channel

channel: default = ...

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:97

### `Private` `Optional` defferedDbSaver

defferedDbSaver?: IDeferredDbSaver

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:89

### `Private` executing

executing: Record<IpfsContentSource, Set<string>> = ...

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:99

### `Private` lastNodeCallTime

lastNodeCallTime: number = ...

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:95

### `Private` node

node: CybIpfsNode = undefined

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:87

### `Private` queue$

queue$: BehaviorSubject<QueueMap> = ...

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:85

### `Private` queueDebounceMs

queueDebounceMs: number

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:93

### `Private` strategy

strategy: QueueStrategy

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:91

## Methods

### cancel

- cancel(cid): void

- #### Parameters

  - cid: string

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:410

### cancelByParent

- cancelByParent(parent): void

- #### Parameters

  - parent: string

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:424

### `Private` cancelDeprioritizedItems

- cancelDeprioritizedItems(queue): QueueMap

- #### Parameters

  - queue: QueueMap

  #### Returns QueueMap

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:245

### clear

- clear(): void

- #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:438

### enqueue

- enqueue(cid, callback, options?): void

- #### Parameters

  - cid: string
  - callback: QueueItemCallback
  - options: QueueItemOptions = {}

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:358

### enqueueAndWait

- enqueueAndWait(cid, options?): Promise<QueueItemAsyncResult>

- #### Parameters

  - cid: string
  - options: QueueItemOptions = {}

  #### Returns Promise<QueueItemAsyncResult>

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:391

### `Private` fetchData$

- fetchData$(item): Observable<QueueItemResult>

- #### Parameters

  - item: QueueItem

  #### Returns Observable<QueueItemResult>

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:149

### `Private` getItemBySourceAndPriority

- getItemBySourceAndPriority(queue): QueueItem[]

- #### Parameters

  - queue: QueueMap

  #### Returns QueueItem[]

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:115

### getQueueList

- getQueueList(): QueueItem[]

- #### Returns QueueItem[]

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:454

### getQueueMap

- getQueueMap(): QueueMap

- #### Returns QueueMap

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:450

### getStats

- getStats(): QueueStats[]

- #### Returns QueueStats[]

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:458

### `Private` mutateQueueItem

- mutateQueueItem(cid, changes): void

- Mutate queue item, and return new queue

  #### Parameters

  - cid: string
  - changes: Partial<QueueItem>

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:219

### `Private` postSummary

- postSummary(): void

- #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:143

### `Private` releaseExecution

- releaseExecution(cid): void

- #### Parameters

  - cid: string

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:267

### `Private` removeAndNext

- removeAndNext(cid): void

- #### Parameters

  - cid: string

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:229

### setNode

- setNode(node, customStrategy?): Promise<void>

- #### Parameters

  - node: CybIpfsNode
  - `Optional` customStrategy: QueueStrategy

  #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:109

### `Private` switchSourceAndNext

- switchSourceAndNext(item, nextSource): void

- #### Parameters

  - item: QueueItem
  - nextSource: IpfsContentSource

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:239

### `Private` switchStrategy

- switchStrategy(strategy): void

- #### Parameters

  - strategy: QueueStrategy

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:105

### updateViewPortPriority

- updateViewPortPriority(cid, viewPortPriority): void

- #### Parameters

  - cid: string
  - viewPortPriority: number

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:406